Bug 19717 - REGRESSION (r31872-r31878): menu items render horizontally at the Economist
Summary: REGRESSION (r31872-r31878): menu items render horizontally at the Economist
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P1 Normal
Assignee: mitz
URL: http://www.economist.com/
Keywords: HasReduction, InRadar, Regression
Depends on:
Blocks:
 
Reported: 2008-06-22 18:09 PDT by Matt Lilek
Modified: 2008-09-04 00:27 PDT (History)
3 users (show)

See Also:


Attachments
First attempt at a reduction (8.73 KB, text/html)
2008-07-02 00:39 PDT, Cameron Zwarich (cpst)
no flags Details
Reduction (623 bytes, text/html)
2008-07-02 02:01 PDT, Cameron Zwarich (cpst)
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Lilek 2008-06-22 18:09:37 PDT
Load <http://www.economist.com/> and hover over the left column, the menus that appear will be completely horizontal instead of stacked vertically.

Regression from Safari 3.1.1.
Comment 1 Mark Rowe (bdash) 2008-06-22 18:28:21 PDT
<rdar://problem/6026832>
Comment 2 Cameron Zwarich (cpst) 2008-07-02 00:39:43 PDT
Created attachment 22040 [details]
First attempt at a reduction

This isn't really a reduction yet, but it removes the extraneous content and most of the scripting. I'll work on the CSS next.
Comment 3 Cameron Zwarich (cpst) 2008-07-02 02:01:30 PDT
Created attachment 22041 [details]
Reduction

Here's a reduction. If I change the class of the <li> in the source itself instead of via an event handler, it works fine.
Comment 4 mitz 2008-07-28 15:45:46 PDT
bisect-builds says:
Works: r31872  Fails: r31878
Making <http://trac.webkit.org/changeset/31876> the prime suspect.
Comment 5 mitz 2008-09-04 00:27:24 PDT
Fixed in <http://trac.webkit.org/changeset/36082>.